Index: smuxi/src/Engine/Config/Config.cs
===================================================================
--- smuxi.orig/src/Engine/Config/Config.cs	2014-02-16 20:07:05.896696227 +0100
+++ smuxi/src/Engine/Config/Config.cs	2014-02-16 20:07:05.896696227 +0100
@@ -386,6 +386,12 @@
             Get(prefix + "Password", String.Empty);
             Get(prefix + "UseEncryption", false);
             Get(prefix + "ValidateServerCertificate", false);
+            Get(prefix + "OnStartupConnect", true);
+            Get(prefix + "OnConnectCommands",
+                new string[] {
+                    "/join #ubuntu",
+                }
+            );
             
             prefix = "Engine/Users/";
             Get(prefix+"Users", new string[] { "local" });
